using MemoryPack;

namespace Insight.Domain.Messages.Agent;

[MemoryPackable]
public partial class Status : IMessage
{
    [MemoryPackOrder(0)]
    public DateTime Timestamp { get; } = DateTime.Now;

    [MemoryPackOrder(1)]
    public TimeSpan Uptime { get; set; }
}